import React, { useState, useEffect } from "react";
import { fetch } from "../../utils/dataAccess";
import TimeSeries from "../../components/Diagrammes/TimeSeries";
import { PrixMoyen } from "../../types/PrixMoyen";

const getPrixMoyen = async () => {
  const data = await fetch("/ventes/prix");
  return JSON.parse(data.text);
}

export default function Home() {
  const [prixMoyen, setPrixMoyen] = useState<PrixMoyen[] | undefined>(undefined);

  useEffect(() => {
    const fetchData = async () => {
      const data = await getPrixMoyen();
      setPrixMoyen(data);
    };
    fetchData();
  }, []);
  console.log(prixMoyen);
  return (
    <div className="container">
      {prixMoyen ? <TimeSeries  fetchedData={prixMoyen} /> : 'Loading...'}
    </div>
  );
}