import React, { useState, useEffect } from "react";
import Camembert from "../../components/Diagrammes/Camembert";
import { fetch } from "../../utils/dataAccess";
import { RegionVentes } from "../../types/RegionVentes";

const getRegionVentes = async (url : string) => {
  const data = await fetch(url);
  return JSON.parse(data.text);
}

export default function Home() {
  const [regionVentes, setRegionVentes] = useState<RegionVentes[] | undefined>(undefined);

  const updateData = async (url: string) => {
    const data = await getRegionVentes(url);
    setRegionVentes(data);
  }

  useEffect(() => {
    const fetchData = async (url: string) => {
      const data = await getRegionVentes(url);
      setRegionVentes(data);
    };
    fetchData("/ventes/regions?annee=2017");
  }, []);

  return (
  <div className="container">
    <div>
      <button onClick={() => updateData("/ventes/regions?annee=2017")}>2017</button>
      <button onClick={() => updateData("/ventes/regions?annee=2018")}>2018</button>
      <button onClick={() => updateData("/ventes/regions?annee=2019")}>2019</button>
      <button onClick={() => updateData("/ventes/regions?annee=2020")}>2020</button>
      <button onClick={() => updateData("/ventes/regions?annee=2021")}>2021</button>
      <button onClick={() => updateData("/ventes/regions?annee=2022")}>2022</button>
    </div>
    <div>
      {regionVentes ? <Camembert  fetchedData={regionVentes} /> : 'Loading...'}
    </div>
  </div>
  );
}